import { http } from '@/utils/http/axios';

/**
 * @description: 列表
 */
export function getAdSortList(params?) {
  return http.request({
    url: '/ad/sort/page',
    method: 'GET',
    params,
  });
}
export function getAdSortAllList(params?) {
  return http.request({
    url: '/ad/sort/list',
    method: 'GET',
    params,
  });
}
/**
 * @description: 根据ID获取详情
 */
export function getAdSortDetail(adSortId) {
  return http.request({
    url: '/ad/sort/detail/'+adSortId,
    method: 'get',
  });
}
/**
 * @description: 添加
 */
export function adSortAdd(data:any) {
  return http.request({
    url: '/ad/sort/add',
    method: 'POST',
    data,
  });
}
/**
 * @description: 更新
 */
export function adSortUpdate(data:any) {
  return http.request({
    url: '/ad/sort/update',
    method: 'PUT',
    data
  });
}
/**
 * @description: 删除
 */
export function adSortDelete(adSortId) {
  return http.request({
    url: '/ad/sort/delete/'+adSortId,
    method: 'DELETE',
  });
}
/**
 * @description: 批量删除
 */
export function adSortBatchDelete(data:any) {
  return http.request({
    url: '/ad/sort/batchDelete',
    method: 'DELETE',
    data
  });
}